Index: /extensions/Subscribe_to_comments/admin.php
===================================================================
--- /extensions/Subscribe_to_comments/admin.php	(revision 21607)
+++ /extensions/Subscribe_to_comments/admin.php	(revision 21608)
@@ -1,31 +1,29 @@
 <?php
-if(!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+if (!defined('SUBSCRIBE_TO_PATH')) die('Hacking attempt!');
 
-// +-----------------------------------------------------------------------+
-//                         Save configuration                              |
-// +-----------------------------------------------------------------------+
-if (isset($_POST['config_submit'])) 
-{
-  $conf['Subscribe_to_Comments'] = array(
-    'notify_admin_on_subscribe' => isset($_POST['notify_admin_on_subscribe']),
-    'allow_global_subscriptions' => isset($_POST['allow_global_subscriptions']),
-    );
-  
-  conf_update_param('Subscribe_to_Comments', serialize($conf['Subscribe_to_Comments']));
-  array_push($page['infos'], l10n('Information data registered in database'));
-}  
+global $template, $page, $conf;
 
 
-// +-----------------------------------------------------------------------+
-//                               Template                                  |
-// +-----------------------------------------------------------------------+  
+// tabsheet
+include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');
+$page['tab'] = (isset($_GET['tab'])) ? $_GET['tab'] : 'subscriptions';
+  
+$tabsheet = new tabsheet();
+$tabsheet->add('subscriptions', l10n('Manage'), SUBSCRIBE_TO_ADMIN . '-subscriptions');
+$tabsheet->add('config', l10n('Configuration'), SUBSCRIBE_TO_ADMIN . '-config');
+$tabsheet->select($page['tab']);
+$tabsheet->assign();
+
+
+// include page
+include(SUBSCRIBE_TO_PATH . 'admin/' . $page['tab'] . '.php');
+
+// template
 $template->assign(array(
   'SUBSCRIBE_TO_PATH' => SUBSCRIBE_TO_PATH,
-  'notify_admin_on_subscribe' => $conf['Subscribe_to_Comments']['notify_admin_on_subscribe'],
-  'allow_global_subscriptions' => $conf['Subscribe_to_Comments']['allow_global_subscriptions'],
+  'SUBSCRIBE_TO_ADMIN' => SUBSCRIBE_TO_ADMIN,
   ));
-
-$template->set_filename('plugin_admin_content', dirname(__FILE__).'/template/admin.tpl');
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+  
+$template->assign_var_from_handle('ADMIN_CONTENT', 'stc_admin');
 
 ?>
Index: /extensions/Subscribe_to_comments/admin/config.php
===================================================================
--- /extensions/Subscribe_to_comments/admin/config.php	(revision 21608)
+++ /extensions/Subscribe_to_comments/admin/config.php	(revision 21608)
@@ -0,0 +1,26 @@
+<?php
+if (!defined('SUBSCRIBE_TO_PATH')) die('Hacking attempt!');
+
+// +-----------------------------------------------------------------------+
+//                         Save configuration                              |
+// +-----------------------------------------------------------------------+
+if (isset($_POST['config_submit'])) 
+{
+  $conf['Subscribe_to_Comments'] = array(
+    'notify_admin_on_subscribe' => isset($_POST['notify_admin_on_subscribe']),
+    'allow_global_subscriptions' => isset($_POST['allow_global_subscriptions']),
+    );
+  
+  conf_update_param('Subscribe_to_Comments', serialize($conf['Subscribe_to_Comments']));
+  array_push($page['infos'], l10n('Information data registered in database'));
+}  
+
+
+// +-----------------------------------------------------------------------+
+//                               Template                                  |
+// +-----------------------------------------------------------------------+  
+$template->assign($conf['Subscribe_to_Comments']);
+
+$template->set_filename('stc_admin', realpath(SUBSCRIBE_TO_PATH . 'admin/template/config.tpl'));
+
+?>
Index: /extensions/Subscribe_to_comments/admin/index.php
===================================================================
--- /extensions/Subscribe_to_comments/admin/index.php	(revision 21608)
+++ /extensions/Subscribe_to_comments/admin/index.php	(revision 21608)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Subscribe_to_comments/admin/subscriptions.php
===================================================================
--- /extensions/Subscribe_to_comments/admin/subscriptions.php	(revision 21608)
+++ /extensions/Subscribe_to_comments/admin/subscriptions.php	(revision 21608)
@@ -0,0 +1,159 @@
+<?php
+if (!defined('SUBSCRIBE_TO_PATH')) die('Hacking attempt!');
+
+if (isset($_GET['delete']))
+{
+  $query = '
+DELETE FROM '.SUBSCRIBE_TO_TABLE.'
+  WHERE email = "'.$_GET['delete'].'"
+;';
+  pwg_query($query);
+}
+
+// get subscriptions
+$query = '
+SELECT
+    MIN(registration_date) AS min_date,
+    MAX(registration_date) AS max_date,
+    email
+  FROM '.SUBSCRIBE_TO_TABLE.'
+  GROUP BY email
+;';
+$dates = hash_from_query($query, 'email');
+
+$query = '
+SELECT
+    sub.email,
+    sub.type,
+    u.'.$conf['user_fields']['username'].' AS username
+  FROM '.SUBSCRIBE_TO_TABLE.' AS sub
+    LEFT JOIN '.USERS_TABLE.' AS u
+    ON u.'.$conf['user_fields']['email'].' = sub.email';
+if (!empty($_POST['username']))
+{
+  $_POST['username'] = strtolower($_POST['username']);
+  $query.= '
+  WHERE LOWER(username) LIKE "%'.$_POST['username'].'%" OR LOWER(email) LIKE "%'.$_POST['username'].'%"';
+}
+  $query.= '
+  ORDER BY email ASC
+;';
+$result = pwg_query($query);
+
+$users = array();
+while ($row = pwg_db_fetch_assoc($result))
+{
+  if (empty($users[ $row['email'] ]))
+  {
+    $users[ $row['email'] ] = array(
+      'email' => $row['email'],
+      'username' => $row['username'],
+      'url' => make_stc_url('manage', $row['email']),
+      'min_date' => strtotime($dates[ $row['email'] ]['min_date']),
+      'max_date' => strtotime($dates[ $row['email'] ]['max_date']),
+      'nice_min_date' => format_date($dates[ $row['email'] ]['min_date']),
+      'nice_max_date' => format_date($dates[ $row['email'] ]['max_date']),
+      'u_delete' => SUBSCRIBE_TO_ADMIN . '-subscriptions&amp;delete=' . $row['email'],
+      'subs' => array(
+        'image' => 0,
+        'album_images' => 0,
+        'all_images' => 0,
+        'album' => 0,
+        'all_albums' => 0
+        ),
+      );
+  }
+  
+  $row['type'] = str_replace('-', '_', $row['type']); // fields are accessed in Smarty, incompatible with keys containing a '-'
+  $users[ $row['email'] ]['subs'][ $row['type'] ]++;
+}
+
+
+// sort results
+if (count($users))
+{
+  if (isset($_POST['filter']))
+  {
+    uasort($users, 'stc_sort_'.$_POST['order_by']);
+    
+    if ($_POST['direction'] == 'DESC')
+    {
+      $users = array_reverse($users);
+    }
+  }
+  else
+  {
+    uasort($users, 'stc_sort_user');
+  }
+}
+
+
+// filter options
+$page['order_by_items'] = array(
+  'user' => l10n('User'),
+  'min_date' => l10n('First subscription'),
+  'max_date' => l10n('Last subscription'),
+  'image' => l10n('Photos'),
+  'album_images' => l10n('All album photos'),
+  'album' => l10n('Albums'),
+  );
+
+$page['direction_items'] = array(
+  'ASC' => l10n('ascending'),
+  'DESC' => l10n('descending'),
+  );
+
+$template->assign(array(
+  'order_options' => $page['order_by_items'],
+  'order_selected' => isset($_POST['order_by']) ? $_POST['order_by'] : 'user',
+  'direction_options' => $page['direction_items'],
+  'direction_selected' => isset($_POST['direction']) ? $_POST['direction'] : 'ASC',
+
+  'F_USERNAME' => @htmlentities($_POST['username'], ENT_COMPAT, 'UTF-8'),
+  'F_FILTER_ACTION' => SUBSCRIBE_TO_ADMIN . '-subscriptions',
+
+  'USERS' => $users,
+  'COA_ACTIVATED' => defined('COA_ID'),
+  ));
+
+$template->set_filename('stc_admin', realpath(SUBSCRIBE_TO_PATH . 'admin/template/subscriptions.tpl'));
+
+
+
+function stc_sort_image($a, $b)
+{
+  if ($a['subs']['all_images']) return 1;
+  if ($b['subs']['all_images']) return -1;
+  return $a['subs']['image'] - $b['subs']['image'];
+}
+
+function stc_sort_album_images($a, $b)
+{
+  if ($a['subs']['all_images']) return 1;
+  if ($b['subs']['all_images']) return -1;
+  return $a['subs']['album_images'] - $b['subs']['album_images'];
+}
+
+function stc_sort_album($a, $b)
+{
+  if ($a['subs']['all_albums']) return 1;
+  if ($b['subs']['all_albums']) return -1;
+  return $a['subs']['album'] - $b['subs']['album'];
+}
+
+function stc_sort_min_date($a, $b)
+{
+  return $a['min_date'] - $b['min_date'];
+}
+
+function stc_sort_max_date($a, $b)
+{
+  return $a['max_date'] - $b['max_date'];
+}
+
+function stc_sort_user($a, $b)
+{
+  return strcasecmp($a['username'].$a['email'], $b['username'].$b['email']);
+}
+
+?>
Index: /extensions/Subscribe_to_comments/admin/template/config.tpl
===================================================================
--- /extensions/Subscribe_to_comments/admin/template/config.tpl	(revision 21608)
+++ /extensions/Subscribe_to_comments/admin/template/config.tpl	(revision 21608)
@@ -0,0 +1,25 @@
+<div class="titrePage" style="clear:right;">
+  <h2>Subscribe to Comments</h2>
+</div>
+
+<form method="post" action="" class="properties">
+  <fieldset>
+    <legend>{'Configuration'|@translate}</legend>
+    <ul>
+      <li>
+        <label>
+          <span class="property">{'Notify administrators when a user take a new subscription'|@translate}</span>
+          <input type="checkbox" name="notify_admin_on_subscribe" value="1" {if $notify_admin_on_subscribe}checked="checked"{/if}>
+        </label>
+      </li>
+      <li>
+        <label>
+          <span class="property">{'Allow users to subscribe to global notifications'|@translate}</span>
+          <input type="checkbox" name="allow_global_subscriptions" value="1" {if $allow_global_subscriptions}checked="checked"{/if}>
+        </label>
+      </li>  
+    </ul>
+  </fieldset>
+
+  <p><input class="submit" type="submit" value="{'Submit'|@translate}" name="config_submit"/></p>
+</form>
Index: /extensions/Subscribe_to_comments/admin/template/index.php
===================================================================
--- /extensions/Subscribe_to_comments/admin/template/index.php	(revision 21608)
+++ /extensions/Subscribe_to_comments/admin/template/index.php	(revision 21608)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/Subscribe_to_comments/admin/template/style.css
===================================================================
--- /extensions/Subscribe_to_comments/admin/template/style.css	(revision 21608)
+++ /extensions/Subscribe_to_comments/admin/template/style.css	(revision 21608)
@@ -0,0 +1,27 @@
+.table2 {
+  width:auto;
+}
+.table2 .throw {
+  font-size:100%;
+  line-height: 1em;
+}
+TABLE.table2 THEAD TD {
+  padding: 3px 5px !important;
+}
+.table2 .user {
+  min-width:230px;
+}
+.table2 .date {
+  width:230px;
+}
+.table2 .total {
+  width:100px;
+}
+
+.table2 .all {
+  text-align:center;
+  font-weight:bold;
+}
+.table2 .all:before, .table2 .all:after {
+  content:"---";
+}
Index: /extensions/Subscribe_to_comments/admin/template/subscriptions.tpl
===================================================================
--- /extensions/Subscribe_to_comments/admin/template/subscriptions.tpl	(revision 21608)
+++ /extensions/Subscribe_to_comments/admin/template/subscriptions.tpl	(revision 21608)
@@ -0,0 +1,75 @@
+{combine_css path=$SUBSCRIBE_TO_PATH|@cat:"admin/template/style.css"}
+
+<div class="titrePage">
+	<h2>Subscribe to Comments</h2>
+</div>
+
+<form class="filter" method="post" name="filter" action="{$F_FILTER_ACTION}">
+<fieldset>
+  <legend>{'Filter'|@translate}</legend>
+
+  <label>
+    {'User'|@translate}
+    <input type="text" name="username" value="{$F_USERNAME}" size="30">
+  </label>
+
+  <label>
+    {'Sort by'|@translate}
+    {html_options name=order_by options=$order_options selected=$order_selected}
+  </label>
+
+  <label>
+    {'Sort order'|@translate}
+    {html_options name=direction options=$direction_options selected=$direction_selected}
+  </label>
+
+  <label>
+    &nbsp;
+    <span><input class="submit" type="submit" name="filter" value="{'Submit'|@translate}"> <a href="{$F_FILTER_ACTION}">{'Reset'|@translate}</a></span>
+  </label>
+
+</fieldset>
+
+</form>
+
+<table class="table2" width="97%">
+  <thead>
+    <tr class="throw">
+      <td class="user">{'User'|@translate}</td>
+      <td class="date">{'First subscription'|@translate}</td>
+      <td class="date">{'Last subscription'|@translate}</td>
+      <td class="total">{'Photos'|@translate}</td>
+      <td class="total" style="font-size:0.7em;">{'All album photos'|@translate}</td>
+      {if $COA_ACTIVATED}<td class="total">{'Albums'|@translate}</td>{/if}
+      <td class="action">&nbsp;</td>
+    </tr>
+  </thead>
+
+  {foreach from=$USERS item=user name=users_loop}
+  <tr class="{if $smarty.foreach.users_loop.index is odd}row1{else}row2{/if}">
+    <td><a href="{$user.url}">{if $user.username}{$user.username} &#9733;{else}{$user.email}{/if}</a></td>
+    <td style="text-align:center;">{$user.nice_min_date}</td>
+    <td style="text-align:center;">{$user.nice_max_date}</td>
+  {if $user.subs.all_images}
+    <td colspan="2" class="all">{'All'|@translate}
+  {else}
+    <td>{$user.subs.image}</td>
+    <td>{$user.subs.album_images}</td>
+  {/if}
+  {if $user.subs.all_albums && $COA_ACTIVATED}
+    <td class="all">{'All'|@translate}
+  {elseif $COA_ACTIVATED}
+    <td>{$user.subs.album}</td>
+  {/if}
+    <td><a href="{$user.u_delete}" title="{'delete'|@translate}" onclick="return confirm('{'Are you sure?'|@translate}');"><img src="{$ROOT_URL}{$themeconf.admin_icon_dir}/delete.png" class="button" alt="{'delete'|@translate}"></a>
+  </tr>
+  {/foreach}
+  
+  {if not $USERS}
+  <tr class="row2">
+    <td colspan="6" style="text-align:center;font-style:italic;">{'No result'|@translate}</td>
+  </tr>
+  {/if}
+</table>
+
+<p>{'&#9733; : registered users'|@translate}</p>
Index: /extensions/Subscribe_to_comments/include/functions.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/functions.inc.php	(revision 21607)
+++ /extensions/Subscribe_to_comments/include/functions.inc.php	(revision 21608)
@@ -1,4 +1,4 @@
 <?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+if (!defined('SUBSCRIBE_TO_PATH')) die('Hacking attempt!');
 
 include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
@@ -90,5 +90,5 @@
   $subject = '['.strip_tags($conf['gallery_title']).'] Re:'.$element['name'];
     
-  $template->set_filename('stc_mail', dirname(__FILE__).'/../template/mail/notification.tpl');
+  $template->set_filename('stc_mail', realpath(SUBSCRIBE_TO_PATH . 'template/mail/notification.tpl'));
 
   foreach ($subscriptions as $row)
@@ -225,5 +225,5 @@
     set_make_full_url();
     
-    $template->set_filename('stc_mail', dirname(__FILE__).'/../template/mail/confirm.tpl');
+    $template->set_filename('stc_mail', realpath(SUBSCRIBE_TO_PATH . 'template/mail/confirm.tpl'));
     
     $subject = '['.strip_tags($conf['gallery_title']).'] '.l10n('Confirm your subscribtion to comments');
@@ -375,5 +375,5 @@
   load_language('plugin.lang', SUBSCRIBE_TO_PATH);
   
-  $template->set_filename('stc_mail', dirname(__FILE__).'/../template/mail/admin.tpl');
+  $template->set_filename('stc_mail', realpath(SUBSCRIBE_TO_PATH . 'template/mail/admin.tpl'));
     
   $subject = '['.strip_tags($conf['gallery_title']).'] '.sprintf(l10n('%s has subscribed to comments on %s.'), is_a_guest()?$email:$user['username'], null);
@@ -515,8 +515,8 @@
   // template
   $template->set_filenames(array(
-    'stc_mail_header' => dirname(__FILE__).'/../template/mail/header.tpl',
-    'stc_mail_footer' => dirname(__FILE__).'/../template/mail/footer.tpl',
+    'stc_mail_header' => realpath(SUBSCRIBE_TO_PATH . 'template/mail/header.tpl'),
+    'stc_mail_footer' => realpath(SUBSCRIBE_TO_PATH . 'template/mail/footer.tpl'),
     ));
-  $stc_mail_css = file_get_contents(dirname(__FILE__).'/../template/mail/style.css');
+  $stc_mail_css = file_get_contents(realpath(SUBSCRIBE_TO_PATH . 'template/mail/style.css'));
     
   $template->assign(array(
@@ -570,7 +570,9 @@
     $element['name'] = get_name_from_file($element['file']);
   }
-  
-  $url_params = array('image_id' => $element['id']);
-  $element['url'] = make_picture_url($url_params);
+  $element['name'] = trigger_event('render_element_name', $element['name']);
+  
+  $element['url'] = make_picture_url(array(
+    'image_id'=>$element['id']
+    ));
   
   if ($with_thumb)
@@ -616,4 +618,6 @@
     'category'=>$element,
     ));
+    
+  $element['name'] = trigger_event('render_category_name', $element['name']);
   
   if ($with_thumb)
Index: /extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php	(revision 21607)
+++ /extensions/Subscribe_to_comments/include/subscribe_to_comments.inc.php	(revision 21608)
@@ -1,4 +1,4 @@
 <?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+if (!defined('SUBSCRIBE_TO_PATH')) die('Hacking attempt!');
 
 /**
Index: /extensions/Subscribe_to_comments/include/subscribtions_page.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/include/subscribtions_page.inc.php	(revision 21607)
+++ /extensions/Subscribe_to_comments/include/subscribtions_page.inc.php	(revision 21608)
@@ -1,4 +1,4 @@
 <?php 
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+if (!defined('SUBSCRIBE_TO_PATH')) die('Hacking attempt!');
 
 global $template, $conf, $page, $user;
@@ -251,5 +251,5 @@
 }
 
-$template->set_filenames(array('index'=> dirname(__FILE__).'/../template/subscribtions_page.tpl'));
+$template->set_filename('index', realpath(SUBSCRIBE_TO_PATH . 'template/subscribtions_page.tpl'));
 
 ?>
Index: /extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php	(revision 21607)
+++ /extensions/Subscribe_to_comments/language/en_UK/plugin.lang.php	(revision 21608)
@@ -46,4 +46,9 @@
 $lang['comments on all pictures of an album'] = 'comments on all pictures of an album';
 $lang['comments on an album'] = 'comments on an album';
+$lang['First subscription'] = 'First subscription';
+$lang['Last subscription'] = 'Last subscription';
+$lang['All album photos'] = 'All album photos';
+$lang['&#9733; : registered users'] = '&#9733; : registered users';
+$lang['No result'] = 'No result';
 
 ?>
Index: /extensions/Subscribe_to_comments/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Subscribe_to_comments/language/fr_FR/plugin.lang.php	(revision 21607)
+++ /extensions/Subscribe_to_comments/language/fr_FR/plugin.lang.php	(revision 21608)
@@ -13,5 +13,4 @@
 $lang['Return to item page'] = 'Retourner à la page de l\'élément';
 $lang['New comment on'] = 'Nouveau commentaire sur';
-
 $lang['%s has subscribed to comments on'] = '%s s\'est inscrit aux commentaires de';
 $lang['Allow users to subscribe to global notifications'] = 'Autoriser les utilisateurs à s\'inscrire de façon globale';
@@ -54,3 +53,8 @@
 $lang['You are currently subscribed to comments on %s.'] = 'Vous êtes inscrits aux commentaires sur %s.';
 $lang['You requested to subscribe by email to comments on %s'] = 'Vous avez demandez à vous inscrire aux commentaires sur %s.';
+$lang['First subscription'] = 'Premier abonnement';
+$lang['Last subscription'] = 'Dernier abonnement';
+$lang['All album photos'] = 'Toutes les images d\'un album';
+$lang['&#9733; : registered users'] = '&#9733; : utilisateurs enregistrées';
+
 ?>
Index: /extensions/Subscribe_to_comments/main.inc.php
===================================================================
--- /extensions/Subscribe_to_comments/main.inc.php	(revision 21607)
+++ /extensions/Subscribe_to_comments/main.inc.php	(revision 21608)
@@ -9,9 +9,4 @@
 */
 
-/*
- * potential problem : if the permissions of a user change, he receives notifications
- * about photos and albums he can't see anymore
- */
-
 if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
 
@@ -21,4 +16,5 @@
 define('SUBSCRIBE_TO_PATH' ,   PHPWG_PLUGINS_PATH . SUBSCRIBE_TO_ID . '/');
 define('SUBSCRIBE_TO_TABLE',   $prefixeTable . 'subscribe_to_comments');
+define('SUBSCRIBE_TO_ADMIN',   get_root_url() . 'admin.php?page=plugin-' . SUBSCRIBE_TO_ID);
 define('SUBSCRIBE_TO_VERSION', 'auto');
 
@@ -98,5 +94,5 @@
   array_push($menu, array(
     'NAME' => 'Subscribe to Comments',
-    'URL' => get_root_url().'admin.php?page=plugin-' . SUBSCRIBE_TO_ID,
+    'URL' => SUBSCRIBE_TO_ADMIN,
   ));
   return $menu;
Index: tensions/Subscribe_to_comments/template/admin.tpl
===================================================================
--- /extensions/Subscribe_to_comments/template/admin.tpl	(revision 21607)
+++ 	(revision )
@@ -1,25 +1,0 @@
-<div class="titrePage" style="clear:right;">
-  <h2>Subscribe to Comments</h2>
-</div>
-
-<form method="post" action="" class="properties">
-  <fieldset>
-    <legend>{'Configuration'|@translate}</legend>
-    <ul>
-      <li>
-        <label>
-          <span class="property">{'Notify administrators when a user take a new subscription'|@translate}</span>
-          <input type="checkbox" name="notify_admin_on_subscribe" value="1" {if $notify_admin_on_subscribe}checked="checked"{/if}>
-        </label>
-      </li>
-      <li>
-        <label>
-          <span class="property">{'Allow users to subscribe to global notifications'|@translate}</span>
-          <input type="checkbox" name="allow_global_subscriptions" value="1" {if $allow_global_subscriptions}checked="checked"{/if}>
-        </label>
-      </li>  
-    </ul>
-  </fieldset>
-
-  <p><input class="submit" type="submit" value="{'Submit'|@translate}" name="config_submit"/></p>
-</form>