Index: /extensions/ColorStat/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/ColorStat/language/pt_BR/plugin.lang.php	(revision 21613)
+++ /extensions/ColorStat/language/pt_BR/plugin.lang.php	(revision 21613)
@@ -0,0 +1,68 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['cstat_help_large_color_table'] = 'Trabalhando em um grande intervalo de cores pode resultar em um grande número de tons de uma cor. Isto permite buscas mais precisas em um intervalo de cores e aumenta a relevância dos resultados.
+O que resulta em uma imagem com um ou dois tons predominantes o que reduzirá a probabilidade de referência a tons minoritários.';
+$lang['cstat_help_small_color_table'] = 'Trabalhando com um intervalo limitado de cores aumenta a probabilidade de referência a tons minoritários. O que tem a vantagem de permitir buscas em uma quantidade maior de cores.
+Como consequência, a variação de tons é menor e a relevância dos resultados da busca por uma cor específica pode ser muito convincente.';
+$lang['cstat_color_size'] = 'Dimensões';
+$lang['cstat_colors'] = 'Cores';
+$lang['cstat_colors_on_image'] = 'Cores associadas com a imagem';
+$lang['cstat_config'] = 'Configuração';
+$lang['cstat_config_plugin'] = 'Configurando o plugin';
+$lang['cstat_database'] = 'Repositório';
+$lang['cstat_display_colors_on_image'] = 'Ver cores associadas com a imagem';
+$lang['cstat_do_bench'] = 'Medida';
+$lang['cstat_do_benchmark'] = 'Dependendo do desempenho do servidor, a análise das imagens da galeria pode demorar.<br>
+É possível ajustar o plugin para priorizar a velocidade da análise comprometendo a qualidade, ou ao contrário, priorizar a qualidade comprometendo a velocidade.<br>
+A medida reflete a capacidade computacional em um determinado momento, o que pode variar dependendo da carga do servidor: o tempo estimado de tratamento é indicativo apenas e pode variar dependendo dos recursos computacionais disponíveis.';
+$lang['cstat_estimated_time_all_pictures'] = 'Tempo estimado para todas as imagens';
+$lang['cstat_estimated_time_one_picture'] = 'Tempo estimado para uma imagem';
+$lang['cstat_gallery_display_colors'] = 'Mostrar cores da imagem';
+$lang['cstat_gallery_integration'] = 'Integração com a galeria';
+$lang['cstat_gpc_not_up_to_date'] = 'É necessária a versão %s do plugin <i>Grum Plugin Classes</i>.
+A versão %s está instalada: obrigado po atualizar o plugin <i>Grum Plugin Classes</i>.';
+$lang['cstat_images'] = 'Imagens';
+$lang['cstat_install'] = 'Instalação';
+$lang['cstat_large_colortable'] = 'Amplitude estendida';
+$lang['cstat_loading'] = 'Carregando...';
+$lang['Grum Plugin Classes is not installed'] = 'O plugin <b>Grum Plugin Classes</b> não está instalado';
+$lang['cstat_NumOfImages'] = 'Quantidade de imagens';
+$lang['cstat_NumOfImages_help'] = 'Indica a quantidade de imagens nas quais a cor existe.<br> O percentual é relativo ao número de imagens analisadas. ';
+$lang['cstat_NumOfPixels'] = 'Quantidade de pixels';
+$lang['cstat_NumOfPixels_help'] = 'Indica a quantidade de pixels nos quais a cor foi encontrada.<br> O percentual é relativo ao número de pixels analisados e representa a área ocupada em todas as fotos   ';
+$lang['cstat_Pct'] = '%';
+$lang['cstat_add_colors'] = 'Adiciona uma seleção de cores';
+$lang['cstat_analyze'] = 'Analisar';
+$lang['cstat_analyze_all_pictures'] = 'A análise inclui todas as imagens da galeria e substitui o repositório atual.';
+$lang['cstat_analyze_caddie_add_pictures'] = 'A análise se concentra nas imagens que estão na cesta e adiciona ao repositório';
+$lang['cstat_analyze_caddie_replace_pictures'] = 'A análise se concentra nas imagens que estão na cesta e substitui o repositório atual';
+$lang['cstat_analyze_in_progress'] = 'Análise em andamento...';
+$lang['cstat_analyze_is_finished'] = 'Análise completa';
+$lang['cstat_analyze_not_analyzed_pictures'] = 'A análise se concentra nas imagens que nunca foram analisadas e adiciona ao repositório atual';
+$lang['cstat_apply'] = 'Aplicar';
+$lang['cstat_bench'] = 'Medindo a performance';
+$lang['cstat_choose_colors'] = 'Painel de cores';
+$lang['cstat_choosen_colors'] = 'Cores selecionadas';
+$lang['cstat_color'] = 'Cor';
+$lang['cstat_color_already_choosen'] = 'A cor já está selecionada na lista';
+?>