Index: trunk/language/sl_SI/admin.lang.php
===================================================================
--- trunk/language/sl_SI/admin.lang.php	(revision 21660)
+++ trunk/language/sl_SI/admin.lang.php	(revision 21676)
@@ -44,19 +44,19 @@
 $lang['%d lines filtered'] = '%d vrstic filtriranih';
 $lang['ACCESS_0'] = 'Prosti dostop';
-$lang['ACCESS_1'] = 'Dsotop do vsega';
+$lang['ACCESS_1'] = 'Dostop do vsega';
 $lang['ACCESS_2'] = 'Dostop za registrirane uporabnike';
 $lang['ACCESS_3'] = 'Dostop za administratorje';
 $lang['ACCESS_4'] = 'Dostop za spletne skrbnike';
 $lang['ACCESS_5'] = 'Brez dostopa';
-$lang['Action'] = 'Akcija';
-$lang['Actions'] = 'Akcije';
-$lang['Activate icon "%s"'] = 'Aktiviraj ikono "%s"';
-$lang['Activate Navigation Bar'] = 'Aktiviraj navigacijsko vrstico';
-$lang['Activate Navigation Thumbnails'] = 'Aktiviraj navigacijo za predoglede';
-$lang['Activate'] = 'Aktiviraj';
-$lang['Activate icon "new" next to albums and pictures'] = 'Aktiviraj ikono "novo" poleg albumov in slik';
-$lang['Active Languages'] = 'Aktiviraj jezike';
-$lang['Active Plugins'] = 'Aktiviraj ';
-$lang['Active Themes'] = 'Aktiviraj teme';
+$lang['Action'] = 'Dejanje';
+$lang['Actions'] = 'Dejanja';
+$lang['Activate icon "%s"'] = 'OmogoÄi ikono "%s"';
+$lang['Activate Navigation Bar'] = 'OmogoÄi navigacijsko vrstico';
+$lang['Activate Navigation Thumbnails'] = 'OmogoÄi navigacijo za predoglede';
+$lang['Activate'] = 'OmogoÄi';
+$lang['Activate icon "new" next to albums and pictures'] = 'OmogoÄi ikono "novo" poleg albumov in slik';
+$lang['Active Languages'] = 'OmogoÄeni jeziki';
+$lang['Active Plugins'] = 'OmogoÄeni vtiÄniki';
+$lang['Active Themes'] = 'OmogoÄene teme';
 $lang['Add a criteria'] = 'Dodaj kriterij';
 $lang['Add a filter'] = 'Dodaj filter';
@@ -105,5 +105,5 @@
 $lang['Albums automatically sorted'] = 'Albumi so bili avtomaticno sortirani';
 $lang['albums deleted in the database'] = 'albumi odstranjeni iz baze';
-$lang['Access type'] = 'Tip dostopa';
+$lang['Access type'] = 'Vrsta dostopa';
 $lang['Add a user'] = 'Dodaj uporabnika';
 $lang['Add a virtual album'] = 'Dodaj virtualni album';
@@ -119,10 +119,10 @@
 $lang['Add/delete a permalink'] = 'Dodaj/odstrani povezavo';
 $lang['added'] = 'dodano'; 
-$lang['%d tag'] = '%d znacka';
-$lang['%d tags'] = '%d znacke';
+$lang['%d tag'] = '%d oznaka';
+$lang['%d tags'] = '%d oznake';
 $lang['%d user comment rejected'] = '%d komentar zavrnjen';
-$lang['%d user comment validated'] = '%d komentar validiran';
+$lang['%d user comment validated'] = '%d komentar preverjen';
 $lang['%d user comments rejected'] = '%d komentarjev zavrnjenih';
-$lang['%d user comments validated'] = '%d komentarjev validiranih';
+$lang['%d user comments validated'] = '%d komentarjev preverjenih';
 $lang['%d user deleted'] = '%d uporabnik odstranjen';
 $lang['%d user was not updated.'] = '%d uporabnik ni bil posodobljen.';
@@ -133,8 +133,8 @@
 $lang['%d users were updated.'] = '%d uporabnikov posodobljenih.';
 $lang['%d users'] = '%d uporabnikov';
-$lang['%d waiting for validation'] = '%d cakam na validacijo';
+$lang['%d waiting for validation'] = '%d Äaka preverjanje';
 $lang['%s must be to set to false in your local/config/config.inc.php file'] = '%s mora biti nastavljeno na false v datoteki local/config/config.inc.php';
 $lang['%s value is not correct file because exif are not supported'] = '%s vrednost je neveljavna, exif ni podprt';
-$lang['+ Add an upload box'] = '+ Dodaj upload';
+$lang['+ Add an upload box'] = '+ Dodaj polje nalaganja';
 $lang[', click on'] = ', klikni na';
 $lang[' and %d virtual'] = ' in %d navidezen';
@@ -143,14 +143,14 @@
 $lang['%d mails were not sent.'] = '%d mailov ni bilo poslanih.';
 $lang['%d mails were sent.'] = '%d mailov poslanih.';
-$lang['%d member'] = '%d clan';
-$lang['%d members'] = '%d clanov';
+$lang['%d member'] = '%d Älan';
+$lang['%d members'] = '%d Älanov';
 $lang['%d of %d photos selected'] = '%d od %d slik izbranih';
 $lang['%d parameter was updated.'] = '%d parameter popravljen.';
 $lang['%d parameters were updated.'] = '%d parametrov popravljenih.';
 $lang['%d photo was deleted'] = '%d slika odstranjena';
-$lang['%d photos uploaded'] = '%d slik naloenih';
+$lang['%d photos uploaded'] = '%d slik naloÂÅ¾nih';
 $lang['%d photos were deleted'] = '%d slik  odstranjenih';
-$lang['%d physical'] = ' %d fizicen';
-$lang['A new version of Piwigo is available.'] = 'Dostopna je nova verzija Piwigo.';
+$lang['%d physical'] = ' %d fiziÄen';
+$lang['A new version of Piwigo is available.'] = 'Na voljo je nova verzija Piwigo.';
 $lang['Administration Home'] = 'Administracija';
 $lang['Advanced features'] = 'Napredne monosti';
@@ -213,8 +213,8 @@
 $lang['By %s'] = 'Po %s';
 $lang['By rank'] = 'Po oceni';
-$lang['%s has been successfully updated.'] = '%s je bil uspeno posodobljen.';
+$lang['%s has been successfully updated.'] = '%s je bil uspeÅ¡no posodobljen.';
 $lang['%s photos can not be regenerated'] = '%s slik se ne da regenerirat';
 $lang['%s photos have been regenerated'] = '%s slike so bile regenerirane';
-$lang['(this tag will be deleted)'] = '(ta znacka bo odstranjena)';
+$lang['(this tag will be deleted)'] = '(ta oznaka bo odstranjena)';
 $lang['... or '] = '... ali ';
 $lang['Add tags'] = 'Dodaj znacke';
@@ -259,3 +259,24 @@
 $lang['directories + files'] = 'imeniki + datoteke';
 $lang['display'] = 'prikaz';
+$lang['Added by %s'] = 'Dodal';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom je fotografski program, ki je namenjen upravljanju velikega Å¡tevila digitalnih fotografij ter za kasnejÅ¡e urejanje.';
+$lang['Aperture is a powerful tool to refine images and manage massive libraries on Mac.'] = 'Aperture je zmogljivo orodje za izboljÅ¡avo fotografij in za upravljanje velikih knjiÅ¾nic na Mac sistemih';
+$lang['Aperture is designed for professional photographers with iPhoto simplicity.'] = 'Aperture je namenjen profesionalnim fotografom hkrati pa vsebuje iPhoto preprostost';
+$lang['Applications'] = 'Aplikacije';
+$lang['Activate comments'] = 'OmogoÄi komentarje';
+$lang['%d week'] = '%d teden';
+$lang['%d weeks'] = '%d tednov';
+$lang['%d year'] = '%d leto';
+$lang['%d years'] = '%d let';
+$lang['%s ago'] = '%d nazaj';
+$lang['%s in the future'] = '%s naprej';
+$lang['%u users have automatic permission because they belong to a granted group.'] = '%u uporabniki imajo samodejna dovoljenje ker pripadajo odobreni skupini';
+$lang['A locked gallery is only visible to administrators'] = 'Zaklenjeno galerijo lahko vidijo le Administratorji';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo za iOS</em> je aplikacija, ki vam omogoÄi povezavo z vaÅ¡o Piwigo galerijo preko iOS naprave (iPhone, iPad ali iPod Touch) . Ustvarite nove albume in naloÅ¾ite veÄ fotografij hkrati.';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo za Android</em> je aplikacija, ki vam omogoÄi povezavo z vaÅ¡o Piwigo galerijo preko Andriod naprave. Ustvarite nove albume in naloÅ¾ite veÄ fotografij hkrati.';
+$lang['%d physicals'] = ' %d fiziÄen';
+$lang['%d month'] = '%d mesec';
+$lang['%d months'] = '%d mesecev';
+$lang['%d day'] = '%d dni';
+$lang[' and %d virtuals'] = ' in %d navidezen';
 ?>