Index: /trunk/language/zh_TW/common.lang.php
===================================================================
--- /trunk/language/zh_TW/common.lang.php	(revision 21685)
+++ /trunk/language/zh_TW/common.lang.php	(revision 21686)
@@ -39,6 +39,6 @@
 $lang['%d album updated'] = '%d 相冊已更新';
 $lang['%d albums updated'] = '%d 相冊已更新';
-$lang['%d comment to validate'] = '%d 條用戶評論被確認';
-$lang['%d comments to validate'] = '%d 條用戶評論被確認';
+$lang['%d comment to validate'] = '%d 評論等待驗證';
+$lang['%d comments to validate'] = '%d 評論等待驗證';
 $lang['%d new comment'] = '%d 新評論';
 $lang['%d new comments'] = '%d 新評論';
@@ -56,5 +56,5 @@
 $lang['At least one listed rule must be satisfied.'] = '至少符合一項標準.';
 $lang['Author'] = '擁有者';
-$lang['Albums'] = '類別';
+$lang['Albums'] = '相冊';
 $lang['Album'] = '相冊';
 $lang['Close this window'] = '關閉窗口';
@@ -64,5 +64,5 @@
 $lang['Login'] = '登入';
 $lang['Contact webmaster'] = '聯繫網管';
-$lang['Create a new account'] = '新建帳號';
+$lang['Create a new account'] = '建立新的帳號';
 $lang['Created on'] = '建立於';
 $lang['Creation date'] = '建立日期';
@@ -75,14 +75,14 @@
 $lang['Enter your personnal informations'] = '輸入您的個人信息';
 $lang['Error sending email'] = '發送郵件出錯';
-$lang['File name'] = '文件名';
-$lang['File'] = '文件';
-$lang['Filesize'] = '文件大小';
+$lang['File name'] = '檔案名稱';
+$lang['File'] = '檔案';
+$lang['Filesize'] = '檔案大小';
 $lang['Filter and display'] = '過濾並顯示';
 $lang['Filter'] = '過濾';
 $lang['Forgot your password?'] = '忘記密碼?';
-$lang['Go through the gallery as a visitor'] = '以遊客身份瀏覽圖庫';
+$lang['Go through the gallery as a visitor'] = '以訪客身份瀏覽圖庫';
 $lang['Help'] = '幫助';
 $lang['Identification'] = '身份鑒別';
-$lang['Photos only RSS feed'] = '圖片RSS';
+$lang['Photos only RSS feed'] = '圖片RSS訂閱';
 $lang['Keyword'] = '關鍵字';
 $lang['Links'] = '鏈接';
@@ -91,20 +91,20 @@
 $lang['Notification'] = '通知';
 $lang['Number of items'] = '總數';
-$lang['Original dimensions'] = '原始大小';
+$lang['Original dimensions'] = '原始的尺寸';
 $lang['Password forgotten'] = '忘記密碼';
 $lang['Password'] = '密碼';
 $lang['Post date'] = '上傳日期';
 $lang['Posted on'] = '上傳於';
-$lang['Profile'] = '用戶信息';
+$lang['Profile'] = '個人資料';
 $lang['Quick connect'] = '快速連接';
-$lang['RSS feed'] = 'RSS流';
+$lang['RSS feed'] = 'RSS訂閱';
 $lang['Register'] = '註冊';
 $lang['Registration'] = '註冊';
 $lang['Related tags'] = '關聯標籤';
-$lang['Reset'] = '重新設置';
+$lang['Reset'] = '重設';
 $lang['Retrieve password'] = '重新取得密碼';
-$lang['Search rules'] = '搜索規則';
-$lang['Search tags'] = '搜索標籤';
-$lang['Search'] = '搜索';
+$lang['Search rules'] = '搜尋條件';
+$lang['Search tags'] = '搜尋熱門標籤';
+$lang['Search'] = '搜尋';
 $lang['display available tags'] = '查看現有標籤';
 $lang['Since'] = '自從';
@@ -113,6 +113,6 @@
 $lang['Tag'] = '標籤';
 $lang['Tags'] = '標籤簇';
-$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS提要，從這個網站上提供新事件的通知：新相片，更新相冊，新評論。要使用 RSS 閱讀器查看new photos, updated albums, new comments. To be used with a RSS feed reader.';
-$lang['Unknown feed identifier'] = '未知流標識';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS feed提供對本網站的新事件：新的照片，更新的相冊，新的意見的通知。請使用RSS閱讀器。';
+$lang['Unknown feed identifier'] = '未知的訂閱識別碼';
 $lang['User comments'] = '用戶評論';
 $lang['Username'] = '用戶名';
@@ -136,25 +136,25 @@
 $lang['Calendar'] = '日曆';
 $lang['All'] = '所有';
-$lang['display each day with photos, month per month'] = '按時間順序來顯示';
-$lang['View'] = '視圖';
+$lang['display each day with photos, month per month'] = '顯示每一天的照片，每月的月份';
+$lang['View'] = '檢視';
 $lang['chronology_monthly_calendar'] = '月曆';
-$lang['chronology_monthly_list'] = '月清單';
-$lang['chronology_weekly_list'] = '周清單';
+$lang['chronology_monthly_list'] = '每月清單';
+$lang['chronology_weekly_list'] = '每周清單';
 $lang['Click here if your browser does not automatically forward you'] = '如果你的瀏覽器不支持自動轉頁，請按這裡。';
 $lang['comment date'] = '評論日期';
 $lang['Comment'] = '評論';
-$lang['Your comment has been registered'] = '評論已保存';
+$lang['Your comment has been registered'] = '評論發表成功';
 $lang['Anti-flood system : please wait for a moment before trying to post another comment'] = '反灌水系統 : 請稍候再加評論';
 $lang['Your comment has NOT been registered because it did not pass the validation rules'] = '由於不符合格式規定，你的評論不能被保存';
 $lang['An administrator must authorize your comment before it is visible.'] = '評論需經管理員確認才能顯示在頁面裡。';
-$lang['This login is already used by another user'] = '用戶名已存在';
+$lang['This login is already used by another user'] = '此登入資訊已被另一個用戶使用';
 $lang['Comments'] = '評論';
-$lang['Add a comment'] = '加評論';
+$lang['Add a comment'] = '新增評論';
 $lang['created after %s (%s)'] = '建立於 %s (%s) 之後';
 $lang['created before %s (%s)'] = '建立於 %s (%s) 之前';
-$lang['created between %s (%s) and %s (%s)'] = '建立於 %s (%s) 和 le %s (%s) 之間';
+$lang['created between %s (%s) and %s (%s)'] = '建立於 %s (%s) 和 %s (%s) 之間';
 $lang['created on %s'] = '建立於 %s';
-$lang['Customize'] = '自定義';
-$lang['Your Gallery Customization'] = '自定義頁標題';
+$lang['Customize'] = '偏好設定';
+$lang['Your Gallery Customization'] = '偏好設定你的Gallery';
 $lang['day'][0] = '星期日';
 $lang['day'][1] = '星期一';
@@ -179,15 +179,15 @@
 $lang['The gallery is locked for maintenance. Please, come back later.'] = '系統維護，請稍候再試。';
 $lang['Page generated in'] = '頁面建立時間';
-$lang['guest'] = '遊客';
-$lang['Hello'] = '你好';
+$lang['guest'] = '訪客';
+$lang['Hello'] = '您好';
 $lang['available for administrators only'] = '只限於管理者';
-$lang['display this album'] = '顯示此相冊根目錄下的相片';
+$lang['display this album'] = '顯示此相冊';
 $lang['display last user comments'] = '查看最新用戶評論';
-$lang['customize the appareance of the gallery'] = '個性化設置';
-$lang['search'] = '搜索';
+$lang['customize the appareance of the gallery'] = '個性化設定 Gallery';
+$lang['search'] = '搜尋';
 $lang['Home'] = '主頁';
 $lang['in this album'] = '在此相冊裡';
 $lang['in %d sub-album'] = '在 %d 子相冊裡';
-$lang['in %d sub-albums'] = '在n %d 子相冊裡';
+$lang['in %d sub-albums'] = '在 %d 子相冊裡';
 $lang['included'] = '包括';
 $lang['Invalid password!'] = '密碼不正確!';
@@ -200,5 +200,5 @@
 $lang['display all photos in all sub-albums'] = '顯示所有相冊和子相冊的相片';
 $lang['return to normal view mode'] = '返回到普通模式顯示';
-$lang['display a calendar by posted date'] = '通過發送時間來顯示日曆';
+$lang['display a calendar by posted date'] = '顯示日曆所發布日期';
 $lang['month'][10] = '十月';
 $lang['month'][11] = '十一月';
@@ -215,6 +215,6 @@
 $lang['Most visited'] = '最受喜歡';
 $lang['display most visited photos'] = '顯示查看次數最多的圖片';
-$lang['Unknown identifier'] = '帳戶不存在';
-$lang['New password'] = '新密碼';
+$lang['Unknown identifier'] = '未知的識別碼';
+$lang['New password'] = '新的密碼';
 $lang['Rate this photo'] = '對圖片投票';
 $lang['Next'] = '下一頁';
@@ -226,7 +226,7 @@
 $lang['photo'] = '圖片';
 $lang['Click on the photo to see it in high definition'] = '點擊查看大圖片';
-$lang['Show file metadata'] = '顯示文件的元數據';
+$lang['Show file metadata'] = '顯示檔案的元數據';
 $lang['Powered by'] = '本站由';
-$lang['Preferences'] = '使用偏好';
+$lang['Preferences'] = '偏好設定';
 $lang['Previous'] = '前頁';
 $lang['Random photos'] = '隨機圖片';
@@ -246,37 +246,37 @@
 $lang['Auto login'] = '自動登入';
 $lang['remove this tag from the list'] = '刪除此標籤';
-$lang['representative'] = '代理人';
-$lang['Search for Author'] = '搜索上傳者';
-$lang['Search in albums'] = '在相冊裡搜索';
-$lang['Search by date'] = '通過日期查詢';
+$lang['representative'] = '相冊縮略圖';
+$lang['Search for Author'] = '作者搜尋';
+$lang['Search in albums'] = '在相冊裡搜尋';
+$lang['Search by date'] = '按日期搜尋';
 $lang['Date'] = '開始日期';
 $lang['End-Date'] = '最終日期';
 $lang['Kind of date'] = '日期類型';
 $lang['Search for words'] = '關鍵字';
-$lang['Search for all terms'] = '以與模式查詢';
-$lang['Search for any term'] = '以或模式查詢';
-$lang['Empty query. No criteria has been entered.'] = '查詢語句不能為空';
-$lang['Search results'] = '搜索結果';
-$lang['Search in sub-albums'] = '在子相冊裡搜索';
-$lang['searched words : %s'] = '搜索詞 : %s';
+$lang['Search for all terms'] = '搜尋所有條款';
+$lang['Search for any term'] = '搜尋任何條款';
+$lang['Empty query. No criteria has been entered.'] = '查詢語句不能為空。';
+$lang['Search results'] = '搜尋結果';
+$lang['Search in sub-albums'] = '在子相冊裡搜尋';
+$lang['searched words : %s'] = '搜尋詞 : %s';
 $lang['Contact'] = '聯繫';
-$lang['set as album representative'] = '設置一個相冊代表';
+$lang['set as album representative'] = '設定為相冊縮略圖';
 $lang['Show number of comments'] = '顯示評論總數';
-$lang['Show number of hits'] = '顯示查看次數';
+$lang['Show number of hits'] = '顯示點擊次數';
 $lang['slideshow'] = '幻燈片放映';
 $lang['stop the slideshow'] = '停止幻燈片放映';
 $lang['Specials'] = '特別類';
-$lang['SQL queries in'] = 'sql查詢語句';
+$lang['SQL queries in'] = 'sql 查詢語句';
 $lang['display only recently posted photos'] = '只顯示最近內容';
 $lang['return to the display of all photos'] = '返回到所有圖片頁面';
 $lang['the beginning'] = '開始';
-$lang['Interface theme'] = '主題';
+$lang['Interface theme'] = '界面主題';
 $lang['Thumbnails'] = '縮略圖';
-$lang['Menu'] = '菜單';
-$lang['A comment on your site'] = '網站評論';
+$lang['Menu'] = '選單';
+$lang['A comment on your site'] = '在您的網站上的評論';
 $lang['today'] = '今天';
 $lang['Update your rating'] = '更改投票';
 $lang['the username must be given'] = '缺少用戶名';
-$lang['useful when password forgotten'] = '忘記密碼';
+$lang['useful when password forgotten'] = '在情況下，忘記了密碼有用的';
 $lang['Quick search'] = '快速搜索';
 $lang['Connected user: %s'] = '在線用戶: %s';
@@ -285,5 +285,5 @@
 $lang['Author: %s'] = '上傳者: %s';
 $lang['Comment: %s'] = '評論: %s';
-$lang['Comment by %s'] = '評論人 %s';
+$lang['Comment by %s'] = '評論者 %s';
 $lang['User: %s'] = '用戶: %s';
 $lang['Email: %s'] = '電子郵件: %s';
@@ -291,22 +291,22 @@
 $lang['Registration of %s'] = '註冊 %s';
 $lang['Album: %s'] = '相冊: %s';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = '如果遊客反常擁有普通用戶才擁有狀態，請向網絡管理員報告。';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = '如果"遊客"反常擁有普通用戶才擁有狀態，預設狀態將被使用。請通知管理員。';
 $lang['this email address is already in use'] = '郵箱地址已存在';
 $lang['Album results for'] = '相冊的結果';
 $lang['Tag results for'] = '符合查詢標籤結果';
 $lang['from %s to %s'] = '從 %s 到 %s';
-$lang['Play of slideshow'] = '播放';
-$lang['Pause of slideshow'] = '暫停';
+$lang['Play of slideshow'] = '播放幻燈片';
+$lang['Pause of slideshow'] = '暫停幻燈片';
 $lang['Repeat the slideshow'] = '重複播放';
 $lang['Not repeat the slideshow'] = '停止重複播放';
 $lang['Reduce diaporama speed'] = '減慢播放速度';
 $lang['Accelerate diaporama speed'] = '加快播放速度';
-$lang['Submit'] = '確認';
+$lang['Submit'] = '提交';
 $lang['Yes'] = '是';
 $lang['No'] = '否';
 $lang['%d photo']='%d 圖片';
 $lang['%d photos']='%d 圖片';
-$lang['%d photo is also linked to current tags'] = '%d 圖片同時與當前標籤相關';
-$lang['%d photos are also linked to current tags'] = '%d 圖片同時與當前標籤相關';
+$lang['%d photo is also linked to current tags'] = '%d 圖片同時與目前標籤相關';
+$lang['%d photos are also linked to current tags'] = '%d 圖片同時與目前標籤相關';
 $lang['display photos linked to this tag'] = '只查看和這標籤相關的圖片';
 $lang['photos posted during the last %d days'] = '圖片在最近%d天裡更新';
@@ -318,7 +318,7 @@
 $lang['cloud'] = '雲';
 $lang['Are you sure?'] = '確定?';
-$lang['Reset to default values'] = '重置為默認值';
+$lang['Reset to default values'] = '重設為預設值';
 $lang['delete all photos from your favorites'] = '刪除您的收藏裡所有相片';
-$lang['Sent by'] = 'Sent by';
+$lang['Sent by'] = '發送者';
 $lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = '您的瀏覽器已關閉或者不支持Cookies. 您必須開啟 cookies 才能登錄.';
 $lang['Edit a comment'] = '修改一個評論';
@@ -329,10 +329,10 @@
 $lang['... or please deactivate this message, I will find my way by myself'] = '... 或者取消此信息，我會自己找到我的方法';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = '您好 %s, 您的 Piwigo 畫廊是空的!';
-$lang['I want to add photos'] = '我想添加相片';
+$lang['I want to add photos'] = '我想增加相片';
 $lang['Manage this user comment: %s'] = '管理此用戶的評論: %s';
 $lang['This author modified following comment:'] = '此作者修改了以下的評論:';
 $lang['This author removed the comment with id %d'] = '此作者刪除了 id 為 %d 的評論';
 $lang['Sent by'] = '發送人';
-$lang['html tags are not allowed in login'] = 'login內不允許有html標籤';
+$lang['html tags are not allowed in login'] = 'html標籤中不允許登入';
 $lang['%d rates'] = '%d 評價';
 $lang['Rating score'] = '評價得分';
@@ -340,10 +340,10 @@
 $lang['Number of photos per page'] = '每頁的照片數量';
 $lang['Invalid username or email'] = '無效的用戶名稱或電子郵件';
-$lang['Password reset is not allowed for this user'] = '不允許此用戶密碼重置';
-$lang['User "%s" has no email address, password reset is not possible']= '查無用戶“％”之電子郵件地址，無法重置密碼';
+$lang['Password reset is not allowed for this user'] = '不允許此用戶重設密碼';
+$lang['User "%s" has no email address, password reset is not possible'] = '查無用戶 "％" 之電子郵件地址，無法重設密碼';
 $lang['Someone requested that the password be reset for the following user account:'] = '有人要求重置以下用戶的密碼:';
 $lang['Username "%s" on gallery %s'] = '％s 畫廊中的“％S”用戶 ';
 $lang['To reset your password, visit the following address:'] = '要重置密碼，請至以下網址:';
-$lang['If this was a mistake, just ignore this email and nothing will happen.'] = '如果這是個錯誤或您並未要求重置密碼，請忽略此電子郵件，您的帳戶將不會作任何更改';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = '如果這是個錯誤或您並未要求重置密碼，請忽略此電子郵件，您的帳戶將不會作任何更改。';
 $lang['Password Reset'] = '重設密碼';
 $lang['Check your email for the confirmation link'] = '檢查您的電子郵件並前往確認連結 ';
@@ -366,24 +366,24 @@
 $lang['Your username has been successfully changed to : %s'] = '您的用戶名稱已成功修改為 : %s';
 $lang['square'] = '正方形';
-$lang['thumb'] = '小圖';
-$lang['small'] = '小';
-$lang['medium'] = '中';
-$lang['large'] = '大';
-$lang['xlarge'] = 'XL';
-$lang['xxlarge'] = 'XXL';
-$lang['Original'] = '原始大小';
-$lang['Thank you for registering at %s!'] = '感謝您在%s!註冊';
+$lang['thumb'] = '縮略圖';
+$lang['small'] = 'S - 小';
+$lang['medium'] = 'M - 中';
+$lang['large'] = 'L - 大';
+$lang['xlarge'] = 'XL - 特大號';
+$lang['xxlarge'] = 'XXL - 巨大號';
+$lang['Original'] = '原始';
+$lang['Thank you for registering at %s!'] = '感謝您在 %s! 註冊';
 $lang['Here are your connection settings'] = '以下是您的連結設定';
 $lang['Password: %s'] = '密碼: %s';
 $lang['Username: %s'] = '用戶名稱: %s';
-$lang['If you think you\'ve received this email in error, please contact us at %s'] = ' 如您認為此電子郵件之發送為錯誤，請聯繫我們：%s';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = ' 如您認為此電子郵件之發送為錯誤，請聯繫我們: %s';
 $lang['Show oldest comments first'] = '顯示最舊的評論在最前面';
 $lang['Show latest comments first'] = '顯示最新的評論在最前面';
 $lang['Photo sizes'] = '圖片大小';
-$lang['View in'] = '檢視';
+$lang['View in'] = '檢視中';
 $lang['Mobile'] = '移動';
 $lang['Desktop'] = '桌面';
-$lang['2small'] = '極小';
-$lang['xsmall'] = '特小';
+$lang['2small'] = 'XXS - 極小';
+$lang['xsmall'] = 'XS - 超小號';
 $lang['File name, A &rarr; Z'] = '檔案名稱, A &rarr; Z';
 $lang['File name, Z &rarr; A'] = '檔案名稱, Z &rarr; A';