Index: /extensions/UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 21694)
+++ /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 21695)
@@ -1317,9 +1317,8 @@
         $reminder = l10n('UAM_Reminder_Sent_OK');
       }
-      else if ((isset($row['reminder']) and $row['reminder'] == 'false') or !isset($row['reminder']))
+      else if ((isset($row['reminder']) and $row['reminder'] == 'false') or $row['reminder'] == null)
       {
         $reminder = l10n('UAM_Reminder_Sent_NOK');
       }
-
 
       if (isset($_POST['pref_submit'])
Index: /extensions/UserAdvManager/trunk/changelog.txt.php
===================================================================
--- /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 21694)
+++ /extensions/UserAdvManager/trunk/changelog.txt.php	(revision 21695)
@@ -402,5 +402,9 @@
             Bug 2871 fixed - Improved process : User registration is confirmed by default when user is added by an admin and confirmation of registration for admins is set to OFF
             Bug 2872 fixed - Check if confirmed users group is set as the default group and set it if not
-            Bug 2873 fixed - Remove annoying flashing message on config submit 
+            Bug 2873 fixed - Remove annoying flashing message on config submit
+
+-- 2.50.4 : Bug 2874 fixed - Warning message on tracking confirmation tab when confirmation by admins is set and a user is added manually by an admin
+            Update de_DE, thanks to : stephy
+            Update lv_LV, thanks to : agrisans
 */
 ?>
Index: /extensions/UserAdvManager/trunk/include/functions.inc.php
===================================================================
--- /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 21694)
+++ /extensions/UserAdvManager/trunk/include/functions.inc.php	(revision 21695)
@@ -1314,5 +1314,5 @@
   }
 
-  if ((isset($conf_UAM['CONFIRM_MAIL']) and ($conf_UAM['CONFIRM_MAIL'] == 'true' or $conf_UAM['CONFIRM_MAIL'] == 'local')) and $confirm) // Add confirmation link ?
+  if ((isset($conf_UAM['CONFIRM_MAIL']) and ($conf_UAM['CONFIRM_MAIL'] == 'true')) and $confirm) // Add confirmation link ?
   {
     $infos2 = array(
@@ -1952,5 +1952,5 @@
   (id, user_id, mail_address, status, date_check, reminder)
 VALUES
-  ('".$Confirm_Mail_ID."', '".$user_id."', '".$email."', '".$status."', null, false)
+  ('".$Confirm_Mail_ID."', '".$user_id."', '".$email."', '".$status."', null, 'false')
 ;";
     pwg_query($query);
Index: /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 21694)
+++ /extensions/UserAdvManager/trunk/language/en_UK/help.lang.php	(revision 21695)
@@ -18,10 +18,7 @@
 $lang['UAM_tipsTitle_d'] = 'Tips and various examples of use';
 
-
-// --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_adminconfmailTitle_d'] = 'You can disable this confirmation only for user accounts created by the administrator via Piwigo\'s users management interface.<br><br>
 By activating this option, email confirmation for registration will be sent to each user created by admin.<br><br>
-By disabling this option (default), only the email information is sent (if &quot;Information email to user&quot; is enabled).';
-// --------- End: New or revised $lang ---- from version 2.14.0
+By disabling this option (default), only the email information is sent (if &quot;Information email to user&quot; is enabled). In addition, the user created will be <b>considered validated</b> by default.';
 
 
Index: /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php
===================================================================
--- /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 21694)
+++ /extensions/UserAdvManager/trunk/language/fr_FR/help.lang.php	(revision 21695)
@@ -17,10 +17,7 @@
 $lang['UAM_tipsTitle_d'] = 'Astuces et exemples divers d\'utilisation';
 
-
-// --------- Starting below: New or revised $lang ---- from version 2.14.0
 $lang['UAM_adminconfmailTitle_d'] = 'On peut ici désactiver la confirmation des inscriptions uniquement pour les comptes d\'utilisateurs créés par l\'administrateur via l\'interface de gestion des utilisateurs de Piwigo.<br><br>
 En activant cette option, l\'email de confirmation d\'inscription sera envoyé à chaque utilisateur créé par l\'admin.<br><br>
-En désactivant cette option (mode par défaut), seul l\'email d\'information est envoyé (si la fonction &quot;Email d\'information &agrave; l\'utilisateur&quot; est activée).';
-// --------- End: New or revised $lang ---- from version 2.14.0
+En désactivant cette option (mode par défaut), seul l\'email d\'information est envoyé (si la fonction &quot;Email d\'information &agrave; l\'utilisateur&quot; est activée). De plus, l\'utilisateur ainsi créé sera <b>considéré comme validé</b> par défaut.';
 
 