Index: /extensions/meta/language/bg_BG/plugin.lang.php
===================================================================
--- /extensions/meta/language/bg_BG/plugin.lang.php	(revision 21812)
+++ /extensions/meta/language/bg_BG/plugin.lang.php	(revision 21812)
@@ -0,0 +1,58 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['meta_robots'] = 'Роботи мета описание';
+$lang['meta_select'] = 'Изберете метаданни, за да се редактират';
+$lang['meta_keywords_help'] = '"Ключова дума, ключова дума и т.н." <br>
+Ключови думи описващи уеб страница. (Разделени със запетая)';
+$lang['meta_compcatdes'] = 'Описание Албум да замени';
+$lang['meta_Description_help'] = 'Описание на вашия сайт <br>
+Позволява да се даде информация, като резултати от търсенето';
+$lang['meta_compimg'] = 'Ключовите думи на снимката завършени';
+$lang['meta_compimgdes'] = 'Заменя описанието на снимката';
+$lang['meta_robots_help'] = 'всички:Позволява на робота да има достъп до цялата страница(по подразбиране) <br>
+следва:Позволява на робота да се следват връзките на страницата <br>
+индекс: Позволява на робота да индексира страницата <br>
+не следва: Забранява на роботите да следват връзките <br>
+не индексира: Забранява на робота да индексира страницата <br>
+никой: Не позволява на роботите да индексират сайта <br>';
+$lang['meta_insmeta'] = 'вмъкнете метаданни';
+$lang['meta_onglet_gestion'] = 'Метаданните';
+$lang['meta_compcatdeshelp'] = 'Ще замени описание';
+$lang['meta_select2'] = 'Изберете метаданни';
+$lang['meta_keywords'] = 'Ключови думи мета описание';
+$lang['meta_desh3'] = 'Добавяне на мета към всички страници';
+$lang['meta_description'] = 'описание';
+$lang['meta_compcat'] = 'Ключови думи на албума да бъде завършен';
+$lang['meta_comp'] = 'Метаданните да бъдат допълнени';
+$lang['meta_choix'] = 'Редактиране на метаданни';
+$lang['meta_author_help'] = 'Информация за автора <br>
+Информация за автора на сайта';
+$lang['meta_author'] = 'Описание мета автор';
+$lang['meta_diff_val'] = 'Възможна стойност';
+$lang['meta_inscat'] = 'Вмъкнете Метаданните';
+$lang['meta_onglet_description'] = 'Описание на метаданни';
+$lang['meta_name'] = 'Име на метаданни';
+$lang['meta_list'] = 'Метаданни:';
+$lang['Metadata - Plugin meta'] = 'Метаданни - Plugin мета';
+$lang['meta_Description'] = 'Описание Описание мета';
+?>