Index: /trunk/language/nb_NO/common.lang.php
===================================================================
--- /trunk/language/nb_NO/common.lang.php	(revision 21821)
+++ /trunk/language/nb_NO/common.lang.php	(revision 21822)
@@ -44,12 +44,12 @@
 $lang['Comment by %s'] = "Kommentert av %s";
 $lang['User: %s'] = "Bruker: %s";
-$lang['Email: %s'] = "Email: %s";
+$lang['Email: %s'] = 'E-post: %s';
 $lang['Admin: %s'] = "Admin: %s";
 $lang['Registration of %s'] = "Registrering av %s";
 $lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = "Feil status for bruker \"gjest\", default status vil bli brukt. Vennligst kontakt webmaster.";
-$lang['this email address is already in use'] = "En annen bruker har allerede denne mail addressen";
+$lang['this email address is already in use'] = 'En annen bruker har allerede denne e-postadressem';
 $lang['Tag results for'] = "Tag resultat for";
 $lang['from %s to %s'] = "fra %s til %s";
-$lang['Play of slideshow'] = 'Avspill slideshow';
+$lang['Play of slideshow'] = 'Start slideshow';
 $lang['Pause of slideshow'] = "Pause slideshow";
 $lang['Repeat the slideshow'] = "Gjenta slideshow";
@@ -70,5 +70,5 @@
 $lang['group by letters'] = "ordne etter bokstav";
 $lang['letters'] = "bokstav";
-$lang['show tag cloud'] = "vis tags cloud";
+$lang['show tag cloud'] = 'vis tags sky';
 $lang['cloud'] = 'sky';
 $lang['Reset to default values'] = "Sett tilbake til standard verdier";
@@ -103,5 +103,5 @@
 $lang['Login'] = 'Logg inn';
 $lang['Contact webmaster'] = 'Kontakt webmaster';
-$lang['Create a new account'] = 'Oprett ny konto';
+$lang['Create a new account'] = 'Opprett ny konto';
 $lang['Created on'] = 'Opprettet den';
 $lang['Creation date'] = 'Dato for opprettelse';
@@ -110,7 +110,7 @@
 $lang['Display'] = 'Vis';
 $lang['Each listed rule must be satisfied.'] = 'Alle listede krav må være oppfylt.';
-$lang['Email address'] = 'Email adresse';
+$lang['Email address'] = 'E-postadresse';
 $lang['Enter your personnal informations'] = 'Skriv inn dine personlige data';
-$lang['Error sending email'] = 'Feil ved sending av e-mail';
+$lang['Error sending email'] = 'Feil ved sending av e-post';
 $lang['File name'] = 'Fil navn';
 $lang['File'] = 'Fil';
@@ -148,5 +148,5 @@
 $lang['Notification'] = 'Til informasjon';
 $lang['Number of items'] = 'Antall poster';
-$lang['Original dimensions'] = 'Orginal dimensjoner';
+$lang['Original dimensions'] = 'Original dimensjoner';
 $lang['Password forgotten'] = 'Glemt passord';
 $lang['Password'] = 'Passord';
@@ -154,5 +154,5 @@
 $lang['Posted on'] = 'Postet den';
 $lang['Profile'] = 'Profil';
-$lang['Quick connect'] = 'Hurtig tilkobling';
+$lang['Quick connect'] = 'Hurtigtilkobling';
 $lang['RSS feed'] = 'RSS mating';
 $lang['Register'] = 'Registrere';
@@ -197,5 +197,5 @@
 $lang['chronology_monthly_list'] = 'Månedlig liste';
 $lang['chronology_weekly_list'] = 'Ukentlig liste';
-$lang['Click here if your browser does not automatically forward you'] = 'Klikk her pm din nettleser ikke automatisk sender deg viderer.';
+$lang['Click here if your browser does not automatically forward you'] = 'Klikk her om din nettleser ikke automatisk sender deg viderer.';
 $lang['comment date'] = 'Kommentert dato';
 $lang['Comment'] = 'kommentar';
@@ -220,5 +220,5 @@
 $lang['Download this file'] = 'last ned denne filen';
 $lang['edit'] = 'redigere';
-$lang['wrong date'] = 'gal dato';
+$lang['wrong date'] = 'feil dato';
 $lang['excluded'] = 'ekskludert';
 $lang['Your favorites'] = 'Mine favoritter';
@@ -237,6 +237,6 @@
 $lang['Home'] = 'Hjem';
 $lang['in this album'] = 'i dette albumet';
-$lang['in %d sub-album'] = 'i %d grunnn-album';
-$lang['in %d sub-albums'] = 'in %d grunn-albumer';
+$lang['in %d sub-album'] = 'i %d under-album';
+$lang['in %d sub-albums'] = 'i %d under-albumer';
 $lang['included'] = 'inkludert';
 $lang['Invalid password!'] = 'Ugyldig passord!';
@@ -293,5 +293,5 @@
 $lang['Date'] = 'Dato';
 $lang['End-Date'] = 'Ende dato';
-$lang['Kind of date'] = 'Slags dato';
+$lang['Kind of date'] = 'Type dato';
 $lang['Search for words'] = 'Søk etter ord';
 $lang['Search for all terms'] = 'Søk i alle termer';
@@ -299,12 +299,12 @@
 $lang['Empty query. No criteria has been entered.'] = 'Tøm spørring. Ingen kriterier har blitt lagt inn.';
 $lang['Search results'] = 'Søke resultat';
-$lang['Search in sub-albums'] = 'Søk i grunn-album';
+$lang['Search in sub-albums'] = 'Søk i under-album';
 $lang['searched words : %s'] = 'søkte ord : %';
 $lang['Contact'] = 'Kontakt';
-$lang['set as album representative'] = 'set som album representant';
+$lang['set as album representative'] = 'sett som album representant';
 $lang['Show number of comments'] = 'Vis antall kommentarer';
-$lang['Show number of hits'] = 'Vis antall hit';
+$lang['Show number of hits'] = 'Vis antall treff';
 $lang['slideshow'] = 'slideshow';
-$lang['stop the slideshow'] = 'stop slideshow';
+$lang['stop the slideshow'] = 'stopp slideshow';
 $lang['Specials'] = 'Spesial';
 $lang['SQL queries in'] = 'SQL spørring' ;
@@ -312,5 +312,5 @@
 $lang['return to the display of all photos'] = 'tilbake til visning av alle bilder';
 $lang['the beginning'] = 'begynnelsen';
-$lang['Interface theme'] = 'Brukerfalte tema';
+$lang['Interface theme'] = 'Brukerflate tema';
 $lang['Thumbnails'] = 'Miniatyrbilder';
 $lang['Menu'] = 'Meny';
@@ -320,5 +320,5 @@
 $lang['the username must be given'] = 'brukernavn kreves';
 $lang['Album: %s'] = 'Album: %s';
-$lang['Album results for'] = 'Album results for';
+$lang['Album results for'] = 'Album resultat for';
 $lang['Edit a comment'] = 'Endre en kommentar';
 $lang['Are you sure?'] = 'Er du sikker?';
@@ -331,5 +331,5 @@
 $lang['I want to add photos'] = 'Jeg vil legge til foto';
 $lang['Manage this user comment: %s'] = 'Behandle denne brukers kommentar: %er';
-$lang['Email address is missing. Please specify an email address.'] = 'Email addresse mangler. Vennligst skriv en email addresse.';
+$lang['Email address is missing. Please specify an email address.'] = 'E-postadresse mangler. Vennligst skriv en e-postadresse.';
 $lang['This author modified following comment:'] = 'Denne forfatteren modifiserte følgende kommentar:';
 $lang['This author removed the comment with id %d'] = 'Denne forfatteren fjernetkommentaren med id %d';
@@ -351,6 +351,6 @@
 $lang['Return to home page'] = 'Tilbake til hovedsiden';
 $lang['Send my connection settings by email'] = 'Send tilkoblingsinnstillinger på epost';
-$lang['Show oldest comments first'] = 'Vis eldst først';
-$lang['Show latest comments first'] = 'Vis senest kommentert først';
+$lang['Show oldest comments first'] = 'Vis eldste kommentarer først';
+$lang['Show latest comments first'] = 'Vis seneste kommentert først';
 $lang['square'] = 'Kvadrat';
 $lang['thumb'] = 'Miniatyrbilde';
@@ -360,10 +360,10 @@
 $lang['medium'] = 'M - medium';
 $lang['large'] = 'L - stor';
-$lang['xlarge'] = 'XL - veldig stor';
-$lang['xxlarge'] = 'XXL - kjempe stor';
+$lang['xlarge'] = 'XL - veldig stort';
+$lang['xxlarge'] = 'XXL - kjempestort';
 $lang['Original'] = 'Original';
 $lang['Password: %s'] = 'Passord: %s';
 $lang['Username: %s'] = 'Brukernavn: %s';
-$lang['Photo sizes'] = 'Bilde størrelser';
+$lang['Photo sizes'] = 'Bildestørrelser';
 $lang['View in'] = 'Se bilde på';
 $lang['Mobile'] = 'Mobil';
@@ -385,8 +385,8 @@
 $lang['Your password has been reset'] = 'Ditt passord har blitt endret.';
 $lang['Your username has been successfully changed to : %s'] = 'Ditt brukernavn har blitt endret til: %s';
-$lang['Date created, new &rarr; old'] = 'Dato opprettet, nyest &rarr; eldst';
-$lang['Date created, old &rarr; new'] = 'Dato opprettet, eldst &rarr; nyest';
-$lang['Date posted, new &rarr; old'] = 'Dato publisert, nyest &rarr; eldst';
-$lang['Date posted, old &rarr; new'] = 'Dato publisert, eldst &rarr; nyest';
+$lang['Date created, new &rarr; old'] = 'Dato opprettet, nyeste &rarr; eldste';
+$lang['Date created, old &rarr; new'] = 'Dato opprettet, eldste &rarr; nyeste';
+$lang['Date posted, new &rarr; old'] = 'Dato publisert, nyeste &rarr; eldste';
+$lang['Date posted, old &rarr; new'] = 'Dato publisert, eldste &rarr; nyeste';
 $lang['File name, A &rarr; Z'] = 'Filnavn, A &rarr; Å';
 $lang['File name, Z &rarr; A'] = 'Filnavn, Å &rarr; A';
@@ -408,5 +408,5 @@
 $lang['Requested album does not exist'] = 'Forespurt album finnes ikke';
 $lang['Requested tag does not exist'] = 'Forespurt tag finnes ikke';
-$lang['Email address is mandatory'] = 'Emailadresse er obligatorisk';
+$lang['Email address is mandatory'] = 'E-postadresse er obligatorisk';
 $lang['Username is mandatory'] = 'Brukernavn er obligatorisk';
 $lang['mandatory'] = 'obligatorisk';