Index: trunk/language/nn_NO/upgrade.lang.php
===================================================================
--- trunk/language/nn_NO/upgrade.lang.php	(revision 21860)
+++ trunk/language/nn_NO/upgrade.lang.php	(revision 21860)
@@ -0,0 +1,40 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['All sub-albums of private albums become private'] = 'Alle underalbum av private album blir private';
+$lang['As a precaution, following plugins have been deactivated. You must check for plugins upgrade before reactiving them:'] = 'For å vera sikker så er fylgjande tilleggsmodular deaktivera. Du må sjekke for oppgraderingar for tilleggsmodular før du kan aktivere dei att.';
+$lang['As a precaution, following themes have been deactivated. You must check for themes upgrade before reactiving them:'] = 'For å vera sikker så er fylgjande tema deaktivera. Du må sjekke for oppgraderingar for tema før du kan aktivere dei att.';
+$lang['In <i>%s</i>, before <b>?></b>, insert:'] = 'I <i>%s</i>, før <b>?></b>, sett inn:';
+$lang['Only administrator can run upgrade: please sign in below.'] = 'Bare administrator kan utføre ei oppgradering: logg inn under.';
+$lang['Only thumbnails prefix and webmaster mail address have been saved from previous configuration'] = 'Bare miniatyrbilete-prefix og webmaster e-postadresse har blitt teke vare på frå den tidlegare versjonen';
+$lang['Perform a maintenance check in [Administration>Tools>Maintenance] if you encounter any problem.'] = 'Utfør ein vedlikehaldssjekk i [Administrasjon>Verktøy>Vedlikehald] om du oppdagar eit problem.';
+$lang['SQL queries'] = 'SQL-spørjingar';
+$lang['This page proposes to upgrade your database corresponding to your old version of Piwigo to the current version. The upgrade assistant thinks you are currently running a <strong>release %s</strong> (or equivalent).'] = 'Denne sida føreslår å oppgradere databasen frå din gamle Piwigo-versjon til den nye versjonen. Oppgraderingsassistenten meiner du kjøyrer <strong>versjon %s</strong> (eller ein samsvarande versjon)';
+$lang['User permissions and group permissions have been erased'] = 'Rettar til brukarar og grupper har blitt sletta';
+$lang['You do not have access rights to run upgrade'] = 'Du har ikkje løyve til å starte oppgradering';
+$lang['total SQL time'] = 'total SQL-tid';
+$lang['total upgrade time'] = 'total tid for oppgradering';
+$lang['Statistics'] = 'Statistikk';
+$lang['Upgrade'] = 'Oppgradering';
+$lang['Upgrade from version %s to %s'] = 'Oppgrader frå vesjon %s til %s';
+$lang['Upgrade informations'] = 'Oppgraderingsinformasjon';
+?>