Index: /extensions/PersoFavicon/language/bg_BG/description.txt
===================================================================
--- /extensions/PersoFavicon/language/bg_BG/description.txt	(revision 21871)
+++ /extensions/PersoFavicon/language/bg_BG/description.txt	(revision 21871)
@@ -0,0 +1,1 @@
+Заменете Piwigo уеб икона с уеб икона в локалната директория.
Index: /extensions/PersoFavicon/language/bg_BG/plugin.lang.php
===================================================================
--- /extensions/PersoFavicon/language/bg_BG/plugin.lang.php	(revision 21871)
+++ /extensions/PersoFavicon/language/bg_BG/plugin.lang.php	(revision 21871)
@@ -0,0 +1,42 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['pfi_validdef'] = 'Потвърдете качването? Ако уеб икона файл вече съществува, новият ще го замени.';
+$lang['pfi_erreur_mouve'] = 'Невъзможно е да копирате файла в директория "local" ';
+$lang['pfi_aide2T'] = '$conf[\'PersoFavicon\']';
+$lang['pfi_erreur_nom'] = 'Грешно име на файл';
+$lang['pfi_erreur_ext'] = 'Трябва да качите тип файл. Ico';
+$lang['pfi_erreur_exist'] = 'Файлът беше заменен';
+$lang['pfi_aide2'] = 'Ако качите уеб икона чрез FTP с име, различно от "favicon.ico",можете да добавите във вашия локален конфигурационен файл <br><pre>$conf[\'PersoFavicon\']= \'your filename\';</pre>';
+$lang['pfi_select'] = 'Изберете вашия файл икона(.ico, максимум 5KB)';
+$lang['pfi_ok'] = 'Файлът е качен';
+$lang['pfi_erreur_taille'] = 'Максимален размер на файла е 5KB';
+$lang['pfi_envoie'] = 'Качване в локалната директория';
+$lang['pfi_ajout'] = 'Добавяне на икона';
+$lang['help'] = 'Помощ';
+$lang['pfi_h2'] = 'Plugin за персонализиране на уеб иконите.';
+$lang['pfi_erreur_vide'] = 'Файлът не е намерен';
+$lang['pfi_aide1T'] = 'Добави форма';
+$lang['pfi_aide1'] = 'Файлът, който се добавя със формата за качване автоматично ще бъде преименуван "favicon.ico" и ще се презапише всяка съществуваща уеб икона в локалната директория.<br><br>Максимален размер на файла е 5kB.<br><br>В зависимост от вашия уеб браузър, може да се наложи да изчистите кеша и рестартирате за да видите новата уеб икона.';
+$lang['pfi_actu'] = 'Текуща уеб икона(намира се във вашата локална директория):';
+$lang['pfi_actu2'] = 'ВНИМАНИЕ:всяка нова уеб икона ще бъде заменена.';
+?>