Index: /trunk/language/nn_NO/common.lang.php
===================================================================
--- /trunk/language/nn_NO/common.lang.php	(revision 21876)
+++ /trunk/language/nn_NO/common.lang.php	(revision 21877)
@@ -72,5 +72,5 @@
 $lang['Expand all albums'] = 'Utvid album';
 $lang['Hello %s, your Piwigo photo gallery is empty!'] = 'Hei %s, ditt Piwigo biletgalleri er tomt!';
-$lang['Connection settings'] = 'Tilkoplingsinnstillingar';
+$lang['Connection settings'] = 'Innstillingar for pålogging';
 $lang['Contact'] = 'Kontakt';
 $lang['Contact webmaster'] = 'Kontakt webmaster';
@@ -275,5 +275,5 @@
 $lang['Comment: %s'] = 'Kommentar: %s';
 $lang['Comments'] = 'Kommentarar';
-$lang['Connected user: %s'] = 'Tilkobla brukar: %s';
+$lang['Connected user: %s'] = 'Pålogga brukar: %s';
 $lang['Are you sure?'] = 'Er du sikker?';
 $lang['Author'] = 'Fotograf';
@@ -316,3 +316,100 @@
 $lang['SQL queries in'] = 'databasekall på';
 $lang['Search'] = 'Søk';
+$lang['Specials'] = 'Biletvisingar';
+$lang['Quick connect'] = 'Pålogging';
+$lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS-kanalen gjev informasjon om nye hendingar på nettstaden: nye bilete, oppdatera album og nye kommentarar. Kan visast i ein RSS-lesar.';
+$lang['The number of photos per page must be a not null scalar'] = 'Antal bilete pr side må vera eit tal større enn null';
+$lang['This author modified following comment:'] = 'Forfattaren endra fylgjande kommentar:';
+$lang['This author removed the comment with id %d'] = 'Forfattaren fjerna kommentar med id %d';
+$lang['This login is already used by another user'] = 'Brukarnamnet er allereie i bruk av ein annan brukar';
+$lang['To reset your password, visit the following address:'] = 'For å nullstille passordet ditt, kan du gå til denne adressa:';
+$lang['Unknown feed identifier'] = 'Ukjend RSS-kanal';
+$lang['Here are your connection settings'] = 'Her er innstillingar for pålogging';
+$lang['Send my connection settings by email'] = 'Send informasjon om pålogging på e-post';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Registreringa var vellukka. Du vil straks motta ein e-post med informasjon om pålogging.
+Velkommen! ';
+$lang['Unknown identifier'] = 'Ukjent biletnummer';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Brukaren "%s" har ikkje e-postadresse - nullstilling av passord er ikkje mogleg';
+$lang['You will receive a link to create a new password via email.'] = 'Du vil motta ei lenke der du kan opprette nytt passord på e-post.';
+$lang['Your Gallery Customization'] = 'Tilpass galleriet ditt';
+$lang['Your comment has NOT been registered because it did not pass the validation rules'] = 'Kommentaren din vart IKKJE registrera fordi den ikkje vart godkjend av godkjenningsreglane';
+$lang['Your username has been successfully changed to : %s'] = 'Brukarnamnet ditt vart endra til: %s';
+$lang['Your website URL is invalid'] = 'URL til nettstaden er feil';
+$lang['display a calendar by creation date'] = 'vis kalender etter dato oppretta';
+$lang['display a calendar by posted date'] = 'vis kalender etter dato lagt inn';
+$lang['display each day with photos, month per month'] = 'vis kvar dag med bilete, månad for månad';
+$lang['Repeat the slideshow'] = 'Vis bilete ommatt';
+$lang['Requested album does not exist'] = 'Albumet du ynskjer å visa finst ikkje';
+$lang['Requested tag does not exist'] = 'Stikkordet finst ikkje';
+$lang['Reset'] = 'Nullstill';
+$lang['Reset to default values'] = 'Set tilbake til standardinnstillingar';
+$lang['Retrieve password'] = 'Hent passord';
+$lang['Return to home page'] = 'Attende til startside';
+$lang['Search for all terms'] = 'Søk etter alle orda';
+$lang['Search for any term'] = 'Søk etter eitt av orda';
+$lang['Search for words'] = 'Søk etter ord';
+$lang['Search in albums'] = 'Søk i album';
+$lang['Search in sub-albums'] = 'Søk i underalbum';
+$lang['Search results'] = 'Søkeresultat';
+$lang['Search rules'] = 'Søkereglar';
+$lang['Show file metadata'] = 'Vis metadata for fila';
+$lang['Sort order'] = 'Sorteringsrekkefylgje';
+$lang['Piwigo encountered a non recoverable error'] = 'Piwigo oppdaga ein feil som ikkje kan rettast opp';
+$lang['Post date'] = 'Dato lagt inn';
+$lang['Posted on'] = 'Lagt inn';
+$lang['Powered by'] = 'Driven av';
+$lang['Preferences'] = 'Føretrekte innstillingar';
+$lang['Previous'] = 'Førre';
+$lang['Profile'] = 'Profil';
+$lang['Quick search'] = 'Raskt søk';
+$lang['RSS feed'] = 'RSS-kanal';
+$lang['Random photos'] = 'Tilfeldige bilete';
+$lang['Rank'] = 'Rangesring';
+$lang['Recent albums'] = 'Nye album';
+$lang['Recent period'] = 'Siste periode';
+$lang['Recent period must be a positive integer value'] = 'Siste periode må vera eit positivt heiltal';
+$lang['Recent photos'] = 'Siste bilete';
+$lang['Redirection...'] = 'Vidaresending...';
+$lang['Reduce diaporama speed'] = 'Reduser hastighet for biletvising';
+$lang['Register'] = 'Registrering';
+$lang['Related tags'] = 'Liknande stikkord';
+$lang['Identification'] = 'Innlogging';
+$lang['If this was a mistake, just ignore this email and nothing will happen.'] = 'Dersom dette var ein feil, kan du ignorere denne e-posten og ingen ting vil skje vidare.';
+$lang['If you think you\'ve received this email in error, please contact us at %s'] = 'Dersom du mottok denne e-posten ved ein feil, ta kontakt med oss på %s';
+$lang['Interface theme'] = 'Tema for brukargrensesnitt';
+$lang['Invalid key'] = 'Ugyldig nøkkel';
+$lang['Invalid password!'] = 'Ugyldig passord1';
+$lang['Invalid username or email'] = 'Ugyldig brukarnamn eller e-post';
+$lang['Kind of date'] = 'Datotype';
+$lang['Manage this user comment: %s'] = 'Handter kommentarane til denne brukaren: %s';
+$lang['Manual sort order'] = 'Manuell sortering';
+$lang['New on %s'] = 'Ny %s';
+$lang['Not repeat the slideshow'] = 'Ikkje repeter biletframvisinga';
+$lang['Numeric identifier, 1 &rarr; 9'] = 'Biletnummer, 1 &rarr; 9';
+$lang['Numeric identifier, 9 &rarr; 1'] = 'Biletnummer, 9 &rarr; 1';
+$lang['Page not found'] = 'Sida vart ikkje funnen';
+$lang['Pause of slideshow'] = 'Pause biletframvisninga';
+$lang['Permalink for album not found'] = 'Permalenke for dette albument vart ikkje funnen';
+$lang['Photos only RSS feed'] = 'RSS-kanal med bare bilette';
+$lang['Photos posted within the last %d day.'] = 'Bilete lagt inn den siste dagen (%s dag).';
+$lang['Photos posted within the last %d days.'] = 'Bilete lagt inn dei siste %d dagane.';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... eller deaktiver denne meldinga, eg finn ut av dette sjølv';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Overbufringsvern: Vent litt før du prøver å legge inn ein kommentar til';
+$lang['Any tag'] = 'Eit av stikkorda';
+$lang['At least one listed rule must be satisfied.'] = 'Minst ein regel i lista må vera med.';
+$lang['Bad request'] = 'Feil førespurnad';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Feil status for gjestebrukar, standard status vil bli bruka. Meld frå til webmaster.';
+$lang['Complete RSS feed (photos, comments)'] = 'Komplett RSS-kanal (bilete og kommentarar)';
+$lang['Confirm Password'] = 'Stadfest passord';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies er blokkera eller ikkje støtta av nettlesaren din. Du må aktivere cookies for å logge inn.';
+$lang['Date created, new &rarr; old'] = 'Dato oppretta, ny &rarr; gamal';
+$lang['Date created, old &rarr; new'] = 'Dato oppretta, gamal &rarr; ny';
+$lang['Date posted, new &rarr; old'] = 'Dato lagt inn, ny &rarr; gamal';
+$lang['Date posted, old &rarr; new'] = 'Dato lagt inn, gamal &rarr; ny';
+$lang['Each listed rule must be satisfied.'] = 'Alle reglane må vera oppfylt.';
+$lang['Error sending email'] = 'Feil ved utsending av e-post';
+$lang['Forbidden'] = 'Ikkje tillaten';
+$lang['Go through the gallery as a visitor'] = 'Naviger i galleriet som ein gjest';
+$lang['Help'] = 'Hjelp';
+$lang['Home'] = 'Heim';
 ?>