Index: extensions/ExtendedDescription/language/bg_BG/help.html
===================================================================
--- extensions/ExtendedDescription/language/bg_BG/help.html	(revision 21916)
+++ extensions/ExtendedDescription/language/bg_BG/help.html	(revision 21916)
@@ -0,0 +1,128 @@
+<div style="text-align:left;">
+<h2>Extended Description (Разширено описание)</h2>
+
+<h3>Многоезиково описание (Multilanguage descriptions)</h3>
+
+<p>Многоезиково описание е поставеното между [lang=xx] and [/lang] тагове, където xx е езиковия код (за пример en, es, fr, bg ...). Има също така два специални езика : [lang=default] и [lang=all]</p>
+
+<ul>
+  <li><b>Примери</b>:<br>
+<code>[lang=default] default description [/lang]<br>
+[lang=en] description in english [/lang]<br>
+[lang=de] deutsche Beschreibung [/lang]<br>
+[lang=bg] описание на Български [/lang]</code>
+</li>
+</ul>
+
+<p>"default" описанието ще бъде използвано по подразбиране там където не е въведено друго описание на езика на който отворил потребител на вашата галерия. Ако [lang=default] не съществува, всичко написано извън тага [lang] ще се приема за описание по подразбиране.</p>
+
+<p><u>Специален език <i>all</i></u>: всичко в [lang=all] ще се приеме за описание, БЕЗ да има значение какво е описанието за конкретния език на потребителя на галерията. Това е удобно при използване на HTML/JavaScript код вътре в описанието.</p>
+
+<h3>Разширени описания</h3>
+
+<p>Разширените описания ви помагат да имате кратко описание на албума отвън и дълго такова когато сте в него, или пък две различни описания вътре в албума.</p>
+
+<p>tag &lt;!--more--&gt; добавя текст в късото описание.<br>
+tag &lt;!--complete--&gt; нека потребителя вижда две описания.<br>
+tag &lt;!--up-down--&gt; нека потребителя има горе и долу описание.</p>
+
+<ul>
+  <li><b>&lt;!--more--&gt;</b></li>
+</ul>
+<code>short description &lt;!--more--&gt; long description</code>
+<p>Само късото описание се показва когато сте извън албума за него. А ако сте вътре ще видите късото + дългото описоние.</p>
+
+<ul>
+  <li><b>&lt;!--complete--&gt;</b></li>
+</ul>
+<code>short description &lt;!--complete--&gt; long description</code>
+<p>Само късото описание се показва когато сте извън албума за него. В албума ще видите само разширеното описание, тоест имате 2 различни описания.</p>
+
+<ul>
+  <li><b>&lt;!--up-down--&gt;</b></li>
+</ul>
+<code>top description &lt;!--up-down--&gt; bottom description</code>
+<p>Само късото описание се показва когато сте извън албума за него. В албума отгоре показва едното описание, а отдолу под снимките показва другото описание.</p>
+
+<h3>Въведете Албум или Снимка</h3>
+
+<ul>
+  <li><b>[cat=xx]</b></li>
+</ul>
+<p>Този таг добавя албум в описанието, където xx е номера (индетификатора) на албума.</p>
+
+<ul>
+  <li><b>[photo id=xx album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>Този таг ви позволява да добавяте една снимка от какъвто размер искате, с:<br><br>
+- <code>id</code> Номер на снимка<br>
+- <code>album</code> (optional) под албум <br>
+- <code>size</code> (optional) размер на снимка, от <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>html</code> (optional) Ако е <i>no</i> тага само връщя URL адреса на снимката, без HTML<br>
+- <code>link</code> (optional) Ако е <i>yes</i> снимката е свързана с линк към страница</p>
+
+<ul>
+  <li><b>[random album=yy size=M html=yes link=yes]</b></li>
+</ul>
+<p>Също като горното но е свързан с случайна снимка от линка за албум <code>album</code></p>
+
+<ul>
+  <li><b>[slider album=xx nb_images=10 random=no list=aa,bb,cc size=M speed=3 title=no effect=fade arrows=yes control=yes elastic=no]</b></li>
+</ul>
+<p>Този таг позволява ползване на слайдшоу (NivoSlider). (вие трябва да зададете <code>album</code> или <code>list</code>):<br><br>
+- <code>album</code> (optional) албум със снимките<br>
+- <code>nb_images</code> (optional) max номер за показване на снимки в слайдшоуто<br>
+- <code>random</code> (optional) безразборно подбрани снимки от албума<br>
+- <code>list</code> (optional) списък с номерата на снимките разделени със запетоя<br>
+- <code>size</code> (optional) размер на снимките, от <i>{SQ, TH, XXS, XS, S, M, L, XL, XXL}</i><br>
+- <code>speed</code> (optional) скорост на слайдване (в секунди)<br>
+- <code>title</code> (optional) Показване на името на снимките<br>
+- <code>effect</code> (optional) Ефект на сменяне (виж <a href="http://nivo.dev7studios.com/support/jquery-plugin-usage/">NivoSlider doc</a>)<br>
+- <code>arrows</code> (optional) показване на навигационни стрелки<br>
+- <code>control</code> (optional) показване на команди за упранление<br>
+- <code>elastic</code> (optional) адаптиране на слайдшоуто към размера на всяка снимка</p>
+
+
+<h3>Скриване на албум</h3>
+
+<p>Използвана на тага <b>&lt;!--hidden--&gt;</b> в името на албума:<br>
+<br>
+- Няма да се показва в главния албум<br>
+- Ще показване в дървото на менюто</p>
+
+<h3>Скриване на албума от менюто</h3>
+
+<p>Използвана на тага <b>&lt;!--mb-hidden--&gt;</b> в името на албума:<br>
+<br>
+- Ще се показва в главния албум<br>
+- Няма да се показване в дървото на менюто</p>
+
+<h3>Скриване на снимка</h3>
+
+<p>Използвана на тага <b>&lt;!--hidden--&gt;</b> в името на снимката:<br>
+<br>
+- Няма да се показва в страницата на албума<br>
+- Ще е видима вътре в албума</p>
+
+<h3>Пренасочване на албум</h3>
+
+<ul>
+  <li><b>[redirect http://piwigo.org]</b></li>
+</ul>
+<p>Въведете този таг в описанието на албума за да зададете препращане към URL адрес по ваш избор.</p>
+
+<ul>
+  <li><b>[redirect img=xx]</b></li>
+</ul>
+<p>Препращане към снимка от вашата галерия, където xx е номерацията на снимката; Може да добавите и индитификатор на албума веднага след това: <code>xx.ccc</code>.</p>
+
+<ul>
+  <li><b>[redirect cat=xx]</b></li>
+</ul>
+<p>Препращане към албум от вашата галерия, където xx е индетификатора на албума.</p>
+
+<ul>
+  <li><b>[redirect search=xx]</b></li>
+</ul>
+<p>Препращане към страницата за търсена на вашата галерия, където xx е индитификатора за търсене.</p>
+</div>