Index: /trunk/plugins/LocalFilesEditor/language/nn_NO/description.txt
===================================================================
--- /trunk/plugins/LocalFilesEditor/language/nn_NO/description.txt	(revision 21937)
+++ /trunk/plugins/LocalFilesEditor/language/nn_NO/description.txt	(revision 21937)
@@ -0,0 +1,1 @@
+Endre lokale filer frå administrasjonspanelet.
Index: /trunk/plugins/LocalFilesEditor/language/nn_NO/plugin.lang.php
===================================================================
--- /trunk/plugins/LocalFilesEditor/language/nn_NO/plugin.lang.php	(revision 21937)
+++ /trunk/plugins/LocalFilesEditor/language/nn_NO/plugin.lang.php	(revision 21937)
@@ -0,0 +1,53 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['locfiledit_restore'] = 'Gjenopprett frå sikringskopi';
+$lang['locfiledit_restore_confirm'] = 'Bekreft?
+Gjennoppretting vil ikkje trå i kraft før neste lagring.';
+$lang['locfiledit_save_bak'] = 'Sikringskopi vil bli oppretta ved lagring.';
+$lang['locfiledit_save_config'] = 'Fila vart lagra.';
+$lang['locfiledit_save_file'] = 'Lagre fil';
+$lang['locfiledit_saved_bak'] = 'Sikringskopi oppretta (%s)';
+$lang['locfiledit_show_default'] = 'Vis referansefil';
+$lang['locfiledit_syntax_error'] = 'Syntaksfeil! Fila kan ikkje lagrast.';
+$lang['locfiledit_webmaster_only'] = 'Bare webmaster kan opprette eller lagre lokale filer.';
+$lang['locfiledit_bak_loaded1'] = 'Reservekopifil er lasta opp';
+$lang['locfiledit_bak_loaded2'] = 'Du må fyrst lagre fila før du kan gjenopprette den.';
+$lang['locfiledit_cant_save'] = 'Gjeldande fil er ikkje skrivbar. Sjekk at katalogen "local/" er skrivbar (chmod)';
+$lang['locfiledit_choose_file'] = 'Velg fil som skal endrast';
+$lang['locfiledit_edit'] = 'Endre';
+$lang['locfiledit_empty_filename'] = 'Du må skrive inn filnamnet';
+$lang['locfiledit_empty_page'] = 'Tom side';
+$lang['locfiledit_file_already_exists'] = 'Fila finst allerie.';
+$lang['locfiledit_filename_error'] = 'Forbode tegn i filnamn.';
+$lang['locfiledit_model'] = 'Modell/mal';
+$lang['locfiledit_model_error'] = 'Du må velge ein model/mal';
+$lang['locfiledit_new_filename'] = 'Filnamn';
+$lang['locfiledit_new_tpl'] = 'Lag ny fil';
+$lang['locfiledit_newfile'] = 'Fila eksisterer ikkje før det er skrive inn noko innhald under. Straks informasjon er skrive inn og lagra, vil fila bli oppretta.';
+$lang['locfiledit_onglet_css'] = 'CSS';
+$lang['locfiledit_onglet_lang'] = 'Språk';
+$lang['locfiledit_onglet_localconf'] = 'Lokal konfigurasjon';
+$lang['locfiledit_onglet_plug'] = 'Personleg tilleggsprogram';
+$lang['locfiledit_onglet_tpl'] = 'Malar';
+$lang['locfiledit_parent_directory'] = 'Foreldrekatalog';
+?>